﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.43.0/conan-win-32.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.43.0/conan-win-64.exe'
$checksum32  = 'e853b3adabc551e2a2f4bbf9be09806d9f7cd7b145f7bc9b09a45291d81077cd'
$checksum64  = 'ab9429cdb47b4248a3607a203b2cfa9c87a922c0bac9c62b2b540b4bd71e8a65'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs

# Add conan to PATH
$conan_path = "C:\Program Files\Conan\conan"
Install-ChocolateyPath -PathToInstall $conan_path -PathType User
